# $Id: CMFBoringContent.py,v 1.1.1.1 2001/08/09 07:28:03 erik Exp $
# $Source: /cvs/CMFBoringProduct/CMFBoringContent.py,v $
__version__ = "$Revision: 1.1.1.1 $"[11:-2]

import os, urllib
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from Products.CMFDefault.DublinCore import DefaultDublinCoreImpl
from Products.CMFCore.PortalContent import PortalContent
from Products.CMFCore.WorkflowCore import WorkflowAction

# Import permission names
from Products.CMFCore import CMFCorePermissions
import CMFBoringContentPermissions

factory_type_information = (
    {'id': 'CMFBoringContent',
     'meta_type': 'CMF CMFBoringContent',
     'description': ('CMFBoringContent are very boring.'),
     'product': 'CMFBoringProduct',
     'factory': 'addCMFBoringContent',
     'immediate_view': 'cmfboring_content_edit_form',
     'actions': ({'id': 'view',
                  'name': 'View',
                  'action': 'cmfboring_content_view',
                  'permissions': (CMFCorePermissions.View,)},
                 {'id': 'edit',
                  'name': 'Edit',
                  'action': 'cmfboring_content_edit_form',
                  'permissions': (CMFBoringContentPermissions.ChangeCMFBoringContent,)},
                 ),
     },
    )

def addCMFBoringContent(self, id, REQUEST=None):
    """Create an empty CMFBoringContent"""
    boring_content_object = CMFBoringContent(id)
    self._setObject(id, boring_content_object)

class CMFBoringContent(PortalContent, DefaultDublinCoreImpl):
    """doc string"""

    meta_type='CMF CMFBoringContent'
    
    security = ClassSecurityInfo()
    security.declareObjectPublic()
    def __init__(self, id):
        """Initialize an instance of the class"""
        DefaultDublinCoreImpl.__init__(self)
        self.id=id

    def edit(self):
        """Change the instance's properties """
        pass

    edit = WorkflowAction(edit) 

InitializeClass(CMFBoringContent)
    
